from qt import *
from constants import EVENT_STATUS


class Status(QObject):
    def __init__(self):
        QObject.__init__(self)

    def set(self, message):
        ce = QCustomEvent(EVENT_STATUS)
        ce.setData(message)
        print qApp.allWidgets()
        qApp.postEvent(qApp, ce)

status = Status()
